Function
clear
Resets an object.
clear(object)
Include Headers
seqan/graph_types.h, seqan/sequence.h, seqan/sequence_journaled.h
Parameters

object | The object that will be resetted. Types: Accumulator, BamAlignmentRecord, BamHeader, BamHeaderRecord, char array, CompressedSA, Finder, FrequencyDistribution, Graph, Holder, Index, Journaled String, Pool, PriorityType, RankSupportBitString, RightArrayBinaryTree, SeedSet, SparseString, std::basic_string, std::list, std::vector, String, StringSet, thrust::device_vector, UnionFind

Remarks
If object is a graph, then all vertices and all edges are removed.
object is set to a state that is equivalent to a default constructed object of the same type.
If object is a container, then all elements are removed from this container. The length is set to 0. The capacity can be changed, depending on the implementation.
If clear is applied on a Holder object, the state of this object is set to 'empty'.
Member of
BamAlignmentRecord, StringSet, String, CompressedSA, std::basic_string, Graph, Finder, thrust::device_vector, PriorityType, RankSupportBitString, RightArrayBinaryTree, Gaps, std::list, Journaled String, FrequencyDistribution, std::vector, Holder, UnionFind, Pool, SparseString
Part of Concept
Pattern, AggregateConcept
See Also
clearHost, length, clearEdges, goNil, resize, clearVertices
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58